Bug 167490 - RFE: update slib to 3a2
RFE: update slib to 3a2
Product: Fedora
Classification: Fedora
Component: slib (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-09-03 02:09 EDT by Michel Alexandre Salim
Modified: 2013-07-02 19:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-07 11:17:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Diff to the slib spec file (1.64 KB, patch)
2005-09-03 02:10 EDT, Michel Alexandre Salim
no flags Details | Diff
New diff - no need to explicitly gzip the .info file (2.14 KB, patch)
2005-09-03 02:31 EDT, Michel Alexandre Salim
no flags Details | Diff

  None (edit)
Description Michel Alexandre Salim 2005-09-03 02:09:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.11) Gecko/20050815 Epiphany/1.7.6

Description of problem:
A new version of slib is out; I'm attaching the .diff I made to register/unregister slib.info.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Apply diff

Actual Results:  -

Expected Results:  -

Additional info:

Comment 1 Michel Alexandre Salim 2005-09-03 02:10:52 EDT
Created attachment 118416 [details]
Diff to the slib spec file
Comment 2 Michel Alexandre Salim 2005-09-03 02:18:06 EDT
Another thing I forgot: should slib really 'Provides: slib' - wouldn't having
the same name be enough?
Comment 3 Michel Alexandre Salim 2005-09-03 02:31:46 EDT
Created attachment 118417 [details]
New diff - no need to explicitly gzip the .info file
Comment 4 Jindrich Novy 2005-09-05 07:35:16 EDT
Hello Michael,

I'm aware of the new slib, but I decided to not to update to it as there's
possibility (at least for me) to recreate the slibcat with this release any
more. It's required for guile and gnucash.
Comment 5 Jindrich Novy 2005-09-05 07:37:42 EDT
to correct my typo:
There's of course no possibility to recreate the slibcat either if I followed
upstream documentation or try to create it using guile.
Comment 6 Michel Alexandre Salim 2005-09-05 16:46:05 EDT
Ah, OK. Slightly unrelated, but also on slib:

the *.init files in /usr/share/slib need to be patched to point to
/usr/share/slib instead of /usr/local/lib/slib.. I use Chez Scheme, and I need
to load chez.init to get access to slib functions cleanly, but as it ships the
loading fails because it references the wrong path.


- Michel
Comment 7 Jindrich Novy 2005-09-06 05:54:31 EDT
I built the new slib what fixes the /usr/local prefix issue.
Comment 8 Michel Alexandre Salim 2005-09-07 11:17:10 EDT
Thanks Jindrich. I might as well close the bug.. hope upstream'll fix the
slibcat problem soon.
Comment 9 Jindrich Novy 2005-09-08 07:58:37 EDT
Ok, thanks to you for reporting this as well.

Note You need to log in before you can comment on or make changes to this bug.